# frozen_string_literal: true

module Projects
  module Security
    class VulnerabilityReportController < Projects::ApplicationController
      include SecurityDashboardsPermissions

      before_action do
        push_frontend_feature_flag(:secure_vulnerability_autofix_indicator, @project)
      end

      feature_category :vulnerability_management

      alias_method :vulnerable, :project
    end
  end
end
